<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Users/Critères/types de critères/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un type de critère</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!typeCritereForm.invalid && save()" #typeCritereForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom du type de critère</mat-label>
            <input minlength="3" name="type" matInput placeholder="Ex. Aspect" [(ngModel)]="newTypeCrit.type" required>
            <mat-error *ngIf="typeCrit.invalid">{{getErrorMessage()}}</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!typeCritereForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

